List invoices
curl --request GET \
--url https://api.meum.io/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meum.io/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meum.io/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meum.io/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meum.io/v1/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meum.io/v1/invoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meum.io/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"external_order_id": "order_demo_1048",
"status": "pending",
"amount": "100.00",
"currency": "USD",
"order_amount": "100.00",
"order_currency": "USD",
"paid_amount": "100.00",
"output_asset": "USDC",
"checkout_url": "<string>",
"return_url": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_hash": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}Invoices
List invoices
Returns invoices for the authenticated store with cursor pagination. Results are ordered by creation time descending (newest first). Date filters default to a 90-day window when not specified.
GET
/
v1
/
invoices
List invoices
curl --request GET \
--url https://api.meum.io/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meum.io/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meum.io/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meum.io/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meum.io/v1/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meum.io/v1/invoices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meum.io/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"external_order_id": "order_demo_1048",
"status": "pending",
"amount": "100.00",
"currency": "USD",
"order_amount": "100.00",
"order_currency": "USD",
"paid_amount": "100.00",
"output_asset": "USDC",
"checkout_url": "<string>",
"return_url": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_hash": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}Authorizations
Query Parameters
Show only invoices in this status (e.g. paid, awaiting_payment). Omit to include all statuses.
Where the invoice is in the payment flow:
pending: created, not yet ready for paymentquoted: price quote ready; customer can proceed to payawaiting_payment: waiting for the customer to send fundspaid: payment received and confirmedunderpaid: customer paid less than the requested amountexpired: not paid before the deadlinefailed: payment or processing failedrefunded: payment was returned to the customercancelled: invoice was cancelled before completion
Available options:
pending, quoted, awaiting_payment, paid, underpaid, expired, failed, refunded, cancelled Response
Paginated invoice list